%global project felix
%global bundle org.apache.felix.gogo.command
%global groupId org.apache.felix
%global artifactId %{bundle}

%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package %{project}-gogo-command}

Name:           %{?scl_prefix}%{project}-gogo-command
Version:        0.12.0
Release:        7%{?dist}
Summary:        Apache Felix Gogo Command

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://felix.apache.org
Source0:        http://www.apache.org/dist/felix/%{bundle}-%{version}-project.tar.gz

Patch0:         felix-gogo-command-pom.xml.patch
Patch1:         java7compatibility.patch

BuildArch:		noarch

BuildRequires:  java
# This is to ensure we get OpenJDK and not GCJ
BuildRequires:  java-devel >= 1:1.7.0
BuildRequires:  maven
BuildRequires:  maven-dependency-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  jpackage-utils

BuildRequires:  felix-osgi-core
BuildRequires:  felix-framework
BuildRequires:  felix-osgi-compendium
BuildRequires:  %{?scl_prefix}felix-gogo-runtime
BuildRequires:  %{?scl_prefix}felix-gogo-parent
BuildRequires:  mvn(org.apache.felix:org.apache.felix.bundlerepository)
%{?scl:BuildRequires:	  %{?scl_prefix}build}

Requires:       %{?scl_prefix}felix-gogo-runtime
%{?scl:Requires: %scl_runtime}

%description
Provides basic shell commands for Gogo.

%global POM %{_mavenpomdir}/JPP.%{project}-%{bundle}.pom

%prep
%setup -q -n %{bundle}-%{version} 
%patch0 -p1
%patch1 -p1

%build
%{?scl:%scl_maven_opts}
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/%{project}
install -m 644 target/%{bundle}-%{version}.jar \
        %{buildroot}%{_javadir}/%{project}/%{bundle}.jar

%files
%doc LICENSE
%{_javadir}/*

%changelog
* Wed Feb 13 2013 Krzysztof Daniel <kdaniel@redhat.com> 0.12.0-7
- Make the package noarch.

* Fri Dec 7 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.12.0-6
- Remove unnecessary runtime dependencies.

* Wed Nov 21 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.12.0-5
- Added Exclusive arch.

* Fri Nov 9 2012 Krzysztof Daniel <kdaniel@redhat.com> 0.12.0-1
- Initial contribution to SCL.
